@import url('https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700,900');
@import "bootstrap/dist/css/bootstrap.min";
@import 'tablesorter/dist/css/theme.blue.min';


$color-orange: #FD932C;
$color-orange-rgba: rgba(253, 147, 44, 0.5); // #FD932C;
$color-orange-2: #FFB103;
// $color-orange-2-rgba: #FFB103;
$color-inactive-icon: rgba(126, 143, 167, 0.48);
$color-bg1: rgba(235, 237, 242, 0.4);
$color-succes: #27AD0B;
$color-succes-rgba: rgba(39, 173, 11, 0.5); // #27AD0B;
$color-error: #EE1700;
$color-error-rgba: rgba(238, 23, 0, 0.5); // #EE1700;
$color-warning: #FFB103;

$color-grey: #7E8FA7;
$color-grey-2: #536379;
// $color-grey-2: #3e4a5b; // #536379;
$color-grey-2-rgba: rgba(62, 74, 91, 0.35);

$color-background: #F9F7F6;
$color-nav-border: #DADCEA;
$color-bg1: #EBEDF2;
$color-bg1-rgba: rgba(235, 237, 242, 0.4);
$color-dark: #343434;

// Validations - Status - Rca advancement
// colors = ["#000", "#D50", "#080", "#900"]
$color-inprogress: #e6a030; // #e67630;
$color-validated: #05ae05;
$color-invalidated: #df0909;
$color-no-status: #a8a8a8;

/*
* index
*/
:root {
  font-size: 81.25%;
  body {
    margin: 0;
    /* Body font size 13px*/
    font-size: 1rem;
  }
}

/*
* buttons.scss
*/

// button 1
.btn-outline-dark {
  color: #343434;
  background-color: white;
  font-family: Poppins;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  // line-height: 18px;
  letter-spacing: 0em;
  text-align: center;
  border-radius: 4px;
  border: none;
}
.btn-outline-dark:hover, .btn-menu-active {
  // background: #FFFFFF;
  background-color: white;
  color: #343434;
  /* PW - Button */
  box-shadow: 0px 8px 16px rgba(252, 148, 43, 0.24);
}

.btn-outline-dark:hover .icon-btn, .btn-outline-warning:hover .icon-btn, .icon-btn:hover, .btn-menu-active {
  color: $color-orange;
  opacity: 1;
}

#header-collapse-rcasearch, #header-collapse-charts {
  &[aria-expanded="true"] {
    box-shadow: 0px 8px 16px rgba(252, 148, 43, 0.24);

    .icon-btn {
      color: $color-orange;
      opacity: 1;
    }
  }
}

.btn-menu-active {
  font-weight: bold;
}


.btn-outline-warning {
  color: #343434;
}
.btn-outline-warning:hover {
  background-color: transparent;
  box-shadow: 0px 8px 16px rgba(252, 148, 43, 0.24);
}


.form-group label {
  margin-bottom: 0;
}

.btn-xs {
  padding: 0.05rem 0.4rem;
  font-size: 0.875rem;
  line-height: 1.5;
  border-radius: 0.2rem;
}

// ToolTips MARCHE PAS...........;;

.tooltip-inner {
  color: #ddd !important;
  background-color: #999 !important;
}
.tooltip {
  color: #d21 !important;
  background-color: #33b !important;
}

/*
*
* FORMULAIRES
*
*/
// .form-control.is-valid:after {
//     // content: "BLA";
//     // left:5px;
//     // position:absolute;
//     // top:0;
//   content: "";
//   display: inline-block;
//   width: 16px;
//   height: 16px;
//   background-image: url("../application/images/flags/fr-16.png");
//   background-repeat: no-repeat;
//   position: relative;
//   left: 50px;
//   // left: 5px; //adjust your positioning as necessary
// }
.form-group-valid {
  div.col-sm-9 {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8' viewBox='0 0 8 8'%3e%3cpath fill='%2328a745' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 20px top 40%;
    background-size: 1em;
  }
}

.form-group {
  div.col-sm-9 {
    trix-toolbar {
      width: calc(100% - 25px);
    }
  }
}
.form-control, .form-control.is-valid {
  width: calc(100% - 25px);
  border-color: $color-grey;
  background-image: none;
  &:focus {
    border-color: $color-orange-2;
    box-shadow: 0 0 0.3rem $color-orange-2;
    border: 1px solid $color-orange-2;
    // box-shadow: none;
  }
}

.text_person {
  width: calc(100% - 40px);
  display: inline-block;
  margin-right: 10px;
}

.was-validated .form-check-input:valid ~ .form-check-label, .form-check-input.is-valid ~ .form-check-label {
    color: #000;
    padding-left: 10px;
}


input[type="checkbox"]:before, input[type="radio"]:before {
    content: '';
    width: 13px;
    height: 13px;
    position: absolute;
    // background: $color-orange-rgba; // url(check.png) no-repeat center 3px transparent #ff0000;
    border: 2px solid $color-orange;
}
input[type="checkbox"]:checked:before, input[type="radio"]:checked:before {
    background: $color-orange; // url(check.png) no-repeat center 3px transparent #ff0000;
}



/*
* menus.scss
*/
body {
    font-family: 'Poppins', sans-serif;
    background: $color-background; // #fafafa;
}

p {
    font-family: 'Poppins', sans-serif;
    font-size: 1.1em;
    font-weight: 300;
    line-height: 1.7em;
    color: #999;
}

a,
a:hover,
a:focus {
    color: inherit;
    text-decoration: none;
    // transition: all 0.3s;
}
html {
  overflow-y: scroll;
}

// Blocs ADMIN / TITLE / CONTENT

.admin-col {
  background: #FFFFFF;
  /* PW - Box */

  box-shadow: 0px 16px 24px rgba(148, 99, 52, 0.08);
  border-radius: 16px;
  // transform: matrix(1, 0, 0, -1, 0, 0);
  // box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.6);
  // margin: 10px;
  margin-bottom: 20px;
  /*padding-right: 10px !important;*/

  padding: 12px;
  padding-bottom: 0;
}
.admin-col-title,
.admin-col-content {
  padding-bottom: 12px;
}
.admin-col-title {
  //styleName: PW - Title;
  font-family: Poppins;
  font-size: 16px;
  font-style: normal;
  font-weight: 600;
  line-height: 32px;
  letter-spacing: 0em;
  text-align: left;
}
.admin-col-title-grey {
}
.admin-col-title-bold {
}
.admin-col-title-step {
}
.admin-col-content {
}
.admin-col-content-padding {
}

.admin-col-repport {
  background: #FFFFFF;

  // box-shadow: 0px 1px 2px $color-orange-rgba;
  border: 2px solid $color-orange;
  border-radius: 6px;
  margin-bottom: 20px;
  padding: 6px;

  color: $color-orange;
  font-weight: bold;
}


/*
* tasks.scss
*/

.task-block-line {
  background-color: white !important;
  color: $color-orange !important;
}

.task-cause-line {
  background-color: $color-bg1-rgba !important;
  // opacity: 0.4;
  color: $color-dark !important;

}

.task-line td {
  color: $color-grey !important;
}
.task-line-root td {
  // background: linear-gradient(#d7e1ee, white) !important;
  background-color: white;
}


/*
* Tables
*/

table {
  width: 100%;
}

// Tablesorter
//
.tablesorter-blue {
  border: 0;
}

.tablesorter-blue th, .tablesorter-blue thead td {
  // background-color: #a7c2e2;
  background-color: transparent;
  color: #343434;

  font-family: Poppins;
  font-size: 11px;
  font-style: normal;
  font-weight: 700;
  line-height: 17px;
  letter-spacing: 0em;
  text-align: left;

  border: 0;
  border-bottom: 1px solid #DADCEA;
}

.tablesorter-blue .headerSortUp, .tablesorter-blue .tablesorter-headerAsc, .tablesorter-blue .tablesorter-headerSortUp,
.tablesorter-blue .headerSortDown, .tablesorter-blue .tablesorter-headerDesc, .tablesorter-blue .tablesorter-headerSortDown {
  background-color: rgba(0, 0, 0, 0.02);
}

.tablesorter-blue td {
  border: 0;
  border-bottom: 1px solid #DADCEA;
  color: $color-grey-2;
}

.tablesorter-headerUnSorted {
  color: $color-grey;
}

.tablesorter-blue tbody > tr.even.hover > td, .tablesorter-blue tbody > tr.even:hover + tr.tablesorter-childRow + tr.tablesorter-childRow > td, .tablesorter-blue tbody > tr.even:hover + tr.tablesorter-childRow > td, .tablesorter-blue tbody > tr.even:hover > td, .tablesorter-blue tbody > tr.hover > td, .tablesorter-blue tbody > tr:hover + tr.tablesorter-childRow + tr.tablesorter-childRow > td, .tablesorter-blue tbody > tr:hover + tr.tablesorter-childRow > td, .tablesorter-blue tbody > tr:hover > td {
    background-color: #f0f0f0;
}

.tablesorter-blue .tablesorter-filter-row td {
  background-color: $color-bg1-rgba;
}

.tablesorter-blue th, .tablesorter-blue thead td {
  text-shadow: none;
}


/*
* Causes
*/

.doc-validation {
  width: 9px;
}

.icon-status-inprogress {
  color: $color-inprogress;
  width: 12px !important;
}

.icon-status-validated {
  color: $color-validated;
  width: 12px !important;
}

.icon-status-invalidated {
  color: $color-invalidated;
  width: 12px !important;
}

.color-status-in_progress {
  color: $color-inprogress;
}

.color-status-validated {
  color: $color-validated;
}

.color-status-invalidated {
  color: $color-invalidated;
}

span.cause-name {
  padding-left: 5px;
  padding-right: 5px;
  display:inline-block;
  max-width: calc(100% - 250px);
  overflow: hidden;
  text-overflow:ellipsis;
}

.cause-head-tree {
  // visibility:
}

/*
* Matrices de décision
*/


#dec-mat-table {
  border-collapse:separate;
  border-spacing: 0;

  th, td {
    border: 1px solid $color-grey-2-rgba;
  }
  th.first {
    // border-left: 1px solid black;
    // border-top: 1px solid black;
    border-top-left-radius: 10px;
  }
  th.last {
    border-top-right-radius: 10px;
  }
  tr:last-of-type th.first-2 {
    border-bottom-left-radius: 10px;
  }
  tr:last-of-type td:last-of-type {
    border-bottom-right-radius: 10px;
  }

}

#dec-mat-table .dec-mat-crit th {
  // background-color: white; //#d4e6ff;
  background-color: $color-bg1;
}
#dec-mat-table th.mat-entry {
  background-color: $color-bg1-rgba; // #ebebeb;
  color: $color-grey-2; // #e3811b;
  font-weight: normal;
}

th.mat-diag {
  padding: 10px;
  min-width: 130px;
  // background-image: linear-gradient(to bottom left, #d4e6ff 49%, #999 50%, #ebebeb 51%);
  background-image: linear-gradient(to bottom left, $color-bg1-rgba 50%, $color-grey-2-rgba 50%, $color-bg1 51%);
}

th .mat-diag-t1 {
  text-align: right;
}

th .mat-diag-t2 {
  text-align: left;
}

td.dec-mat-icons {
  background-color: transparent !important;
  border: 0 !important;
  padding: 3px 10px;
}

.mat-title {
  text-align: center;
  font-weight: bold;
}
.mat-title th {
  padding: 3px 10px;
}

.mat-entry {
  font-weight: bold;
  max-width: 300px;
  color: #305;
  padding: 3px 10px;
}

.mat-value {
  text-align: center;
}

.mat-total {
  text-align: center;
  font-weight: bold;
  color: $color-grey-2;
  font-size: 14px;
}

.mat-total-max {
  color: $color-succes;
}
.mat-total-min {
  color: $color-error;
}
.mat-total-moy {
  color: #78b26c; // #aa0;
}

.mat-validation {
  text-align: center;
}

.mat-valid-title {
  width: 50px;
  padding: 3px !important;
}

.radio-item {
  /*display: inline-block;*/
  /*position: relative;*/
}

.radio-item input[type='radio'] {
  display: none;
}

.radio-item label {
  color: #666;
  font-weight: normal;
}

.radio-item label:before {
  content: " ";
  display: inline-block;
  position: relative;
  top: 5px;
  margin: 0 5px 0 0;
  width: 15px;
  height: 15px;
  border-radius: 11px;
  /*border: 2px solid #d1d1d1;*/
  background-color: #d1d1d1;
}
.radio-item input[type=radio]:checked + label:before {
  background: $color-orange; // #ffa500;
}
.radio-item-valid input[type=radio]:checked + label:before {
  background: $color-succes; // #0c0;
}
.radio-item-invalid input[type=radio]:checked + label:before {
  background: $color-error; // #da0000;
}

.tdm-collapse-button.collapsed {
  background:#7389bf;
  color: white;
}
.tdm-collapse-button:not(.collapsed) {
  background:#ccc;
  color: white;
}
